import { AsyncListener, ThrottledListener } from './Types';
/**
 * Splits the given event string into namespace and event name parts.
 * @param event - The event string to parse.
 * @returns A tuple containing the namespace and event name.
 */
export declare const parseEvent: (event: string) => [string, string];
/**
 * Inserts a listener object into a sorted array based on priority.
 * @param listeners - The array of listener objects to insert into.
 * @param listenerObject - The listener object to be inserted, containing the listener function and its priority.
 */
export declare const insertSorted: (listeners: {
    listener: ThrottledListener | AsyncListener;
    priority: number;
}[], listenerObject: {
    listener: ThrottledListener | AsyncListener;
    priority: number;
}) => void;
/**
 * Checks if the provided object is empty (has no own enumerable properties).
 * @param obj - The object to check for emptiness.
 * @returns `true` if the object is empty; otherwise, `false`.
 */
export declare const isObjectEmpty: (obj: object) => boolean;
